Skip to main content
PUT
Update ClickPipe settings
Update the advanced settings for the specified ClickPipe. Send key-value pairs where values can be strings, numbers, or booleans. Omitted keys keep their current value. null is not accepted; to reset a setting, send its default value.

Permission

The API key must have the control-plane:service:manage-clickpipes permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

clickPipeId
string<uuid>
required

ID of the ClickPipe to update settings for.

Body

application/json
streaming_max_insert_wait_ms
integer

Streaming max insert wait time. Configures the max wait period before inserting data into the ClickHouse.

Required range: 500 <= x <= 60000
Example:

5000

object_storage_concurrency
integer

Object storage concurrency. Number of concurrent file processing threads

Required range: 1 <= x <= 35
Example:

1

object_storage_polling_interval_ms
integer

Object storage polling interval. Configures the refresh interval for querying continuous ingest for new object storage data

Required range: 100 <= x <= 3600000
Example:

30000

object_storage_max_insert_bytes
integer

Max insert bytes. Number of bytes to process in a single insert batch

Required range: 524288000 <= x <= 10737418240
Example:

10737418240

object_storage_max_file_count
integer

Max file count. Maximum number of files to process in a single insert batch

Required range: 1 <= x <= 10000
Example:

100

object_storage_max_file_size
integer

Max file size. Files larger than this are skipped and not retried. Can only lower the limit. Private preview. Contact support to enable it for your organization.

Required range: 1048576 <= x <= 536870912000
Example:

10737418240

clickhouse_max_threads
integer

Max threads. Maximum number of concurrent threads for file processing

Required range: 0 <= x <= 64
Example:

8

clickhouse_max_insert_threads
integer

Max insert threads. Maximum number of concurrent insert threads

Required range: 0 <= x <= 16
Example:

1

clickhouse_min_insert_block_size_bytes
integer

Min insert block size bytes. Minimum size of data block for insert (in bytes)

Required range: 0 <= x <= 10737418240
Example:

1073741824

clickhouse_max_download_threads
integer

Max download threads. Maximum number of concurrent download threads

Required range: 0 <= x <= 32
Example:

4

clickhouse_parallel_distributed_insert_select
integer

Parallel distributed insert select. Only applies when object_storage_use_cluster_function is enabled. When disabled, this setting is ignored and the effective value is 0.

Required range: 0 <= x <= 2
Example:

2

kafka_read_committed
boolean

Kafka Read Committed. Whether Kafka consumers read only committed messages

Example:

false

object_storage_use_cluster_function
boolean

use cluster function. Whether to use ClickHouse cluster function for distributed processing

Example:

true

clickhouse_parallel_view_processing
boolean

parallel view processing. Whether to enable pushing to attached views concurrently instead of sequentially

Example:

false

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object